#if !defined(AFX_PANELBEFOREBIN_H__6B8ECEB8_CC90_11D2_BB42_00E029219C3C__INCLUDED_)
#define AFX_PANELBEFOREBIN_H__6B8ECEB8_CC90_11D2_BB42_00E029219C3C__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000
// PanelBeforeBin.h : header file
//

#include "Panel.h"

/////////////////////////////////////////////////////////////////////////////
// CPanelBeforeBin dialog

class CPanelBeforeBin : public CPanel
{
// Construction
public:
	CPanelBeforeBin(CWnd* pParent=NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CPanelBeforeBin)
	enum { IDD = IDD_DIALOG_BeforeBinarization };
	CEdit	m_oEditTempDirForTextures;
	//}}AFX_DATA

	virtual BOOL Create( CWnd* pParentWnd );
	virtual void m_fn_vUpdateRegistry();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CPanelBeforeBin)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CPanelBeforeBin)
	afx_msg void OnMakeSoundBanks();
	virtual BOOL OnInitDialog();
	afx_msg void OnCopySound();
	afx_msg void OnMakeGF();
	afx_msg void OnBrowseTempTextureDirectory();
	afx_msg void OnMakeBigFile();
	afx_msg void OnMakeA3i();
	afx_msg void OnKillfocusEDITTempTextureDirectory();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

	void m_fn_vValidateTempTextureDirectory();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Developer Studio will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_PANELBEFOREBIN_H__6B8ECEB8_CC90_11D2_BB42_00E029219C3C__INCLUDED_)
